<?php
// WizyTówka 4
if (!defined('WT')) exit();
?>
<!doctype html>

<head>
<meta charset="UTF-8" />
<meta name="Author" content="http://wizytowka.tomaszgasior.kao.pl" />
<meta name="Viewport" content="width=device-width, initial-scale=1" />
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/admin/stylGlowny.css<?php echo (zalogowany()) ? '?'.WERSJA_DATA : '' ?>" />
<?php if ( !isset($CHOWAC_SIE_KTO_MOZE) ) { ?>
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/admin/stylAdmin.css?<?php echo (zalogowany()) ? '?'.WERSJA_DATA : '' ?>" />
<?php } ?>
<?php if ( odczytKonf('kontrastowyPanelAdmin') ) { ?>
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/admin/stylKontrast.css<?php echo (zalogowany()) ? '?'.WERSJA_DATA : '' ?>" />
<?php } ?>
<?php if ( odczytKonf('dodatkowyStylWPaneluAdmin') ) { ?>
<link rel="Stylesheet" href="<?php echo DANE , '/' , odczytKonf('dodatkowyStylWPaneluAdmin') ?>" />
<?php } ?>
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700&subset=latin-ext">
<link rel="Icon" href="<?php echo SYSTEM ?>/admin/pliki/ikona.ico" />
<!--[if lt IE 9]>
<script src="http://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.2/html5shiv.min.js"></script>
<style>input[type="checkbox"],input[type="radio"]{visibility:visible;position:static;} input+label:before{display:none;} ul.listaKafelkowa li span a,ul.listaKafelkowa li span label{display:inline;}
a:focus { text-decoration: underline; outline: 1px dashed silver; }
</style>
<![endif]-->
<title><?php echo tekst( odczytKonf('tytul') ) ?> &mdash; WizyTówka</title>
</head>

<body<?php echo (!isset($CHOWAC_SIE_KTO_MOZE)) ? ' id="' . ID . '"' : '' ?>>

<div class="pa">

<header class="g">

<h1><span>WizyTówka | </span><a tabindex="-999" href="<?php echo odczytKonf('adres') ?>" target="_blank">Podgląd witryny</a></h1>

<?php if ( odczytKonf('panelAdminMenuTab') ) { ?>
<script>
	function sztuczneZogniskowanie( idMenu ) {
		document.getElementById( idMenu ).className = 'zogniskowany';
		setTimeout( function() {document.getElementById( idMenu ).className = ''}, 5000 );
	}
</script>
<?php } ?>

<nav>
	<h2>Nawigacja</h2>
	<ul class="menuGlowne" id="menuGlowne">

<?php
	if ( !isset($CHOWAC_SIE_KTO_MOZE) ) {
?>
	<li id="menuZawartosc"><?php echo (odczytKonf('panelAdminMenuTab')) ? '<a href="#" onfocus="sztuczneZogniskowanie(\'menuZawartosc\');">Zawartość</a>' : 'Zawartość' ?>
		<ul>
			<li><a href="?id=strony" id="menuStrony">Strony</a></li>
			<li><a href="?id=strony&szkic" id="menuSzkiceStron">Szkice stron</a></li>
			<li><a href="?id=utworzStrone" id="menuUtworzStrone">Utwórz stronę</a></li>
			<li class="separator" id="menuSepUSP"><hr /></li>
			<li><a href="?id=wyslanePliki" id="menuPliki">Pliki</a></li>
			<li><a href="?id=wyslijPliki" id="menuWyslijPliki">Wyślij pliki</a></li>
		</ul>
	</li>
	<li id="menuElementy"><?php echo (odczytKonf('panelAdminMenuTab')) ? '<a href="#" onfocus="sztuczneZogniskowanie(\'menuElementy\');">Elementy</a>' : 'Elementy' ?>
		<ul>
			<li><a href="?id=menu&b=1" id="menuMenuGlowne">Menu główne</a></li>
			<li><a href="?id=menu&b=2" id="menuMenuDodatkowe">Menu dodatkowe</a></li>
			<li class="separator" id="menuSepMDOB"><hr /></li>
			<li><a href="?id=obszary&b=1" id="menuObszarBoczny">Obszar boczny</a></li>
			<li><a href="?id=obszary&b=2" id="menuObszarDodatkowy">Obszar dodatkowy</a></li>
			<li class="separator" id="menuSepOBNIS"><hr /></li>
			<li><a href="?id=naglowekIStopka" id="menuNaglowekIStopka">Nagłówek i stopka</a></li>
		</ul>
	</li>
	<li id="menuKonfiguracja"><?php echo (odczytKonf('panelAdminMenuTab')) ? '<a href="#" onfocus="sztuczneZogniskowanie(\'menuKonfiguracja\');">Konfiguracja</a>' : 'Konfiguracja' ?>
		<ul>
			<li><a href="?id=ustawieniaWitryny" id="menuUstawieniaWitryny">Ustawienia witryny</a></li>
			<li><a href="?id=motywyIPersonalizacja" id="menuMotywyIPersonalizacja">Motywy i personalizacja</a></li>
			<li><a href="?id=informacjeWyszukiwarek" id="menuInformacjeWyszukiwarek">Informacje wyszukiwarek</a></li>
			<li class="separator" id="menuSepMIPUS"><hr /></li>
			<li><a href="?id=ustawieniaSystemu" id="menuUstawieniaSystemu">Ustawienia systemu</a></li>
		</ul>
	</li>
	<li id="menuNarzedzia"><?php echo (odczytKonf('panelAdminMenuTab')) ? '<a href="#" onfocus="sztuczneZogniskowanie(\'menuNarzedzia\');">Narzędzia</a>' : 'Narzędzia' ?>
		<ul>
			<li><a href="?id=statystyki" id="menuStatystyki">Statystyki</a></li>
			<li><a href="?id=kopiaZapasowa" id="menuKopiaZapasowa">Kopia zapasowa</a></li>
			<?php if ( odczytKonf('dziennikBledow') or odczytKonf('edytorPlikow') or odczytKonf('edytorWTK') ){ ?><li class="separator" id="menuSepKZDB"><hr /></li><?php } ?>
			<?php if ( odczytKonf('edytorPlikow') ) { ?><li><a href="?id=edytorPlikow" id="menuEdytorPlikow">Edytor plików</a></li><?php } ?>
			<?php if ( odczytKonf('edytorWTK') ) { ?><li><a href="?id=wtk" id="menuEdytorWTK">Edytor WTK</a></li><?php } ?>
			<?php if ( odczytKonf('dziennikBledow') ) { ?><li><a href="?id=dziennikBledow" id="menuDziennikBledow">Dziennik błędów</a></li><?php } ?>
		</ul>
	</li>
	<li id="menuPomoc"><?php echo (odczytKonf('panelAdminMenuTab')) ? '<a href="#" onfocus="sztuczneZogniskowanie(\'menuPomoc\');">Pomoc</a>' : 'Pomoc' ?>
		<ul>
			<li><a href="?id=dokumentacja" id="menuTematyPomocy">Tematy pomocy</a></li>
			<?php if ( odczytKonf('jezykMarkdown') ) { ?><li><a href="?id=dokumentacja&b=jezykMarkdown" id="menuJezykMarkdown">Język Markdown</a></li><?php } ?>
			<li class="separator" id="menuSepTPP"><hr /></li>
			<li><a href="?id=wizytowka&b=podziekowania" id="menuPodziekowania">Podziękowania</a></li>
			<li><a href="?id=wizytowka" id="menuOSystemie">O systemie&hellip;</a></li>
		</ul>
	</li>
	<li id="menuWyloguj"><a <?php echo (odczytKonf('panelAdminMenuTab')) ? 'onfocus="sztuczneZogniskowanie(\'menuWyloguj\');"' : 'tabindex="-999"' ?> href="?wyloguj" onclick="return confirm('Czy na pewno chcesz się wylogować?')">Wyloguj</a></li>
<?php
	}

	elseif ( $CHOWAC_SIE_KTO_MOZE === true and odczytKonf('resetowanieHasla') ) {
?>
	<li id="menuResetowanieHasla"><a <?php echo (odczytKonf('panelAdminMenuTab')) ? 'onfocus="sztuczneZogniskowanie(\'menuResetowanieHasla\');"' : 'tabindex="-999"' ?> href="?<?php echo ( isset($_GET['resetowanieHasla']) ) ? '' : 'resetowanieHasla' ?>"><?php echo ( isset($_GET['resetowanieHasla']) ) ? 'Zaloguj się' : 'Zresetuj hasło' ?></a></li>
<?php
	}
?>

	</ul>
</nav>

</header>

<section class="g">

<?php
if ( !komunikat() and odczytKonf('przerwaTechniczna') )
	komunikat('xxx.Tryb przerwy technicznej jest obecnie włączony.');

if ( komunikat() != false ) {
	$komunikat = explode( '.', komunikat(), 2 );

	if ( $komunikat[0] == 'dob' ) {
?>
<script>
	setTimeout( function(){document.getElementById('wygaszKom').className = 'komunikat dob wygaszony'}, 2000 );
</script>
<?php
	}
?>
<p class="komunikat <?php echo $komunikat[0] ?>" id="wygaszKom" title="Kliknij tutaj, aby ukryć ten komunikat." onclick="this.style.display = 'none';"><?php echo $komunikat[1] ?></p>
<?php
}