<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') )
	przekierowanie();

$odczytElementow = odczytPlikuWTK('elementy.wtk');
if ( ID2 == 2 ) {
	$odczytMenu = $odczytElementow['menu']['menuDodatkowe'];
	$toMenuAutomatycznie = 2;
}
else {
	$odczytMenu = $odczytElementow['menu']['menuGlowne'];
	$toMenuAutomatycznie = 1;
}

$tablicaIstniejacychStron = listaStron();
$liczbaIstniejacychStron  = count($tablicaIstniejacychStron);
$liczbaElementowMenu      = count($odczytMenu);

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $liczbaIstniejacychStron > 0 ) {

	$widocznoscMenu = 0;  $menuAutomatycznie = 0;
	if ( isset($_POST['widocznoscMenu']) )
		$widocznoscMenu = $_POST['widocznoscMenu'];
	if ( !isset($_POST['menuAutomatycznie']) and odczytKonf('menuAutomatycznie') != $toMenuAutomatycznie )
		$menuAutomatycznie = odczytKonf('menuAutomatycznie');
	if ( isset($_POST['menuAutomatycznie']) )
		$menuAutomatycznie = $toMenuAutomatycznie;
	unset($_POST['widocznoscMenu']);  unset($_POST['menuAutomatycznie']);

	// ze względu na jednoczesną niemożność użycia funkcji zapisKonfPOST() oraz konieczność przygotowania
	// tablicy $_POST do dalszego użytku, muszę skorzystać z brzydkiego hacka            PRZEPRASZAM ;-(

	if ( $liczbaIstniejacychStron < $liczbaElementowMenu ) {

		$_POST = array_reverse($_POST,true);
		$juzNieWyszukujPustychElementow = false;
		$oczyszczone_POST = array();

		foreach ( $_POST as $klucz => $element ) {
			if ( $juzNieWyszukujPustychElementow != true ) {
				if ( $element == '.' )
					continue;
				else
					$juzNieWyszukujPustychElementow = true;
			}
			$oczyszczone_POST[$klucz] = $element;
		}

		$_POST = array_reverse($oczyszczone_POST,true);
		$liczbaElementowMenu = count($_POST);

	}

	if ( ID2 == 2 ) {
		$odczytElementow['menu']['menuDodatkowe'] = $_POST;
		$odczytMenu = $odczytElementow['menu']['menuDodatkowe'];  // ponowne pobranie danych w celu odświeżenia
		zapisKonf( array( 'menuDodatkowe' => $widocznoscMenu ) );
	}
	else {
		$odczytElementow['menu']['menuGlowne']    = $_POST;
		$odczytMenu = $odczytElementow['menu']['menuGlowne'];     // ponowne pobranie danych w celu odświeżenia
		zapisKonf( array( 'menuGlowne'    => $widocznoscMenu ) );
	}

	zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );
	zapisKonf( array( 'menuAutomatycznie' => $menuAutomatycznie ) );

	komunikat(1);

}

if ( $liczbaIstniejacychStron > 0 ) {

	foreach ( $tablicaIstniejacychStron as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony($identyfikatorStrony);
		$tablicaIstniejacychStronZTytulami[ $identyfikatorStrony ] = tekst($odczytStrony['tytulMenu']);
	}
	$tablicaIstniejacychStronZTytulami['.'] = '(puste)';   // kropka tu pusty element menu

	if ( $liczbaElementowMenu > $liczbaIstniejacychStron )
		$liczbaPolWyboru = $liczbaElementowMenu;
	else
		$liczbaPolWyboru = $liczbaIstniejacychStron;

}

$odczytMotywu = odczytTypuMotywu( 'motywy', odczytKonf('motyw') );
$obsluga = ( ID2 == 2 ) ? $odczytMotywu['mozliwosci']['menuDodatkowe'] : $odczytMotywu['mozliwosci']['menuGlowne'];

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Menu <?php echo ( ID2 == 2 ) ? 'dodatkowe' : 'główne' ?></h2>

<form method="post">

<?php
if ( $liczbaIstniejacychStron == 0 ) {
?>
<p class="informacja">Nie utworzono jeszcze żadnych stron.</p>
<?php
}
else {
	if ( !$obsluga ) {
?>
<p class="uwaga">Używany obecnie motyw &bdquo;<?php echo $odczytMotywu['informacje']['nazwa'] ?>&rdquo; nie obsługuje menu <?php echo ( ID2 == 2 ) ? 'dodatkowego' : 'głównego' ?>.</p>
<?php
	}
?>
<table>
<?php
	for ( $i = 0; $i < $liczbaPolWyboru; ++$i ) {
		if ( isset($odczytMenu[$i]) and odczytStrony($odczytMenu[$i]) != false )
			$tenElementMenu = $odczytMenu[$i];
		else
			$tenElementMenu = '.';          // kropka tu pusty element menu
?>
	<tr> <td colspan="2"><select name="<?php echo $i ?>"><?php generujListeWyboru( $tablicaIstniejacychStronZTytulami, $tenElementMenu ) ?></select></td> </tr>
<?php
	}
?>
	<tr>
		<td><input type="checkbox" name="widocznoscMenu" value="1" <?php zaznaczCheckbox( odczytKonf( (ID2 == 2) ? 'menuDodatkowe' : 'menuGlowne' ) ) ?> <?php wylaczElement($obsluga,false) ?> id="op11" /><label for="op11">Wyświetlaj menu <?php echo ( ID2 == 2 ) ? 'dodatkowe' : 'główne' ?> w witrynie</label></td>
		<td><input type="checkbox" name="menuAutomatycznie" value="1" <?php zaznaczCheckbox( odczytKonf('menuAutomatycznie'), $toMenuAutomatycznie ) ?> id="op12" <?php wylaczElement($obsluga,false) ?> /><label for="op12">Dodawaj nowe strony do menu <?php echo ( ID2 == 2 ) ? 'dodatkowego' : 'głównego' ?></label></td>
	</tr>
</table>
<?php
}
?>

<p class="przyciskWysylania"><input type="submit" value="Zapisz menu <?php echo ( ID2 == 2 ) ? 'dodatkowe' : 'główne' ?>" <?php wylaczElement($liczbaIstniejacychStron,0) ?> <?php wylaczElement($obsluga,false) ?> /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');