<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') )
	przekierowanie();

$szkic        = ( isset($_GET['szkic']) ) ? true : false;
$odczytStrony = odczytStrony( ID2, $szkic );
$odczytTypu   = ( $odczytStrony != false ) ? odczytTypuMotywu( 'typy', $odczytStrony['typ'] ) : false;

// dla kodu typów zawartości stron:
$wtUstawieniaStrony = &$odczytStrony;
$wtKomunikat        = null;

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytStrony != false and $odczytTypu != false ) {

	if ( $odczytTypu['informacje']['ustawienia'] ) {

		// kod typów zawartości stron, etap drugi =======================
		$wtEtapPaneluAdmin = 2;
		include( (($odczytTypu['wlasny']) ? DANE : SYSTEM) . '/typy/' . $odczytStrony['typ'] . '/ustawienia.php' );

	}

	// zabezpieczenie przed chochlikami
	$_POST['tytul']      = ( empty($_POST['tytul'])  ) ? 'Strona bez tytułu' : $_POST['tytul'];

	// automatyczne uzupełnienie tytułu w menu i tytułu w znaczniku <TITLE> głównym tytułem witryny
	$_POST['tytulMenu']  = ( empty($_POST['tytulMenu'])  ) ? $_POST['tytul'] : $_POST['tytulMenu'];
	$_POST['tytulTitle'] = ( empty($_POST['tytulTitle']) ) ? $_POST['tytul'] : $_POST['tytulTitle'];

	// ostrzeżenie przed zbyt długim opisem dla wyszukiwarek
	if ( mb_strlen($_POST['wyszukiwarkiOpis']) > 155 )
		komunikat('zle.Opis strony jest zbyt długi. Nie powinien przekraczać 150 znaków.');
	elseif ( mb_strlen($_POST['wyszukiwarkiSlowaKluczowe']) > 100 )
		komunikat('zle.Słowa kluczowe strony są zbyt długie. Nie powinnny przekraczać 100 znaków.');

	// zapisStronyZFormularza() nie łączy danych, lecz nadpisuje, dlatego aby zachować poniższe informacje, muszę je sztucznie dorzucić do danych z formularza
	$_POST['ostatniaAktualizacja'] = $odczytStrony['ostatniaAktualizacja'];
	$_POST['typ']                  = $odczytStrony['typ'];
	$_POST['wyszukiwarkiOpis']     = usunZnakNowejLinii($_POST['wyszukiwarkiOpis']);

	// informacja o identyfikatorze nie jest potrzebna w pliku WTK, gdyż jego nazwa jest identyfikatorem
	$nowyIdentyfikator = $_POST['identyfikator'];
	unset( $_POST['identyfikator'] );

	zapisStronyZFormularza ( $_POST, ID2, $szkic );

	// jeżeli istnieje taka potrzeba, dokonujemy zmiany identyfikatora strony   3... 2... 1... START!

	if ( ID2 != $nowyIdentyfikator and !empty($nowyIdentyfikator) ) {

		$nowyIdentyfikator = prostaNazwa($nowyIdentyfikator);

		if ( !sprawdzNazwe($nowyIdentyfikator) )
			komunikat('zle.Identyfikator <strong>' . $nowyIdentyfikator . '</strong> jest niepoprawny.');

		elseif ( odczytStrony($nowyIdentyfikator) != false or odczytStrony($nowyIdentyfikator,true) != false )
			komunikat('zle.Strona z identyfikatorem <strong>' . $nowyIdentyfikator . '</strong> już istnieje. Wybierz inny identyfikator.');

		else {

			// zmiana nazwy pliku WTK (z ustawieniami) i WTZ (z zawartością strony)
			rename(
				DANE . (($szkic) ? '/szkice/' : '/strony/') . ID2 . '.wtk' ,
				DANE . (($szkic) ? '/szkice/' : '/strony/') . $nowyIdentyfikator . '.wtk'
			);
			rename(
				DANE . (($szkic) ? '/szkice/' : '/strony/') . ID2 . '.wtz' ,
				DANE . (($szkic) ? '/szkice/' : '/strony/') . $nowyIdentyfikator . '.wtz'
			);

			// te czynności możemy pominąć, jeśli pracujemy ze szkicem strony
			if ( !$szkic ) {

				// aktualizacja mapy witryny
				generujMapeWitryny();

				// aktualizacja identyfikatora strony głównej
				if ( odczytKonf('stronaGlowna') == ID2 )
					zapisKonf( array( 'stronaGlowna' => $nowyIdentyfikator ) );

				// aktualizacja menu głównego i dodatkowego
				aktualizujMenuGlowneDodatkowe( ID2, $nowyIdentyfikator );

			}

			przekierowanie( '?id=ustawieniaStrony&zmienionoIdentyfikator' . (($szkic) ? '&szkic' : '') . '&b=' . $nowyIdentyfikator );

		}

	}  // koniec zmiany identyfikatora strony

	if ( empty($wtKomunikat) and !komunikat() )
		komunikat(1);
	elseif ( !komunikat() )
		komunikat($wtKomunikat);

	// ponowne pobranie danych w celu odświeżenia
	$odczytStrony = odczytStrony( ID2, $szkic );

}

if ( !$odczytStrony )
	komunikat( 'zle.Strona z identyfikatorem <strong>' . ID2 . '</strong> nie istnieje.' );
elseif ( !$odczytTypu )
	komunikat( 'zle.Typ zawartości strony <strong>' . $odczytStrony['typ'] . '</strong> nie istnieje.' );

if ( isset($_GET['zmienionoIdentyfikator']) and !komunikat() )
	komunikat( 'dob.Strona została zapisana pod nowym identyfikatorem.' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>
	<b><a title="Otwórz w nowej karcie podgląd tej strony." target="_blank" href="<?php echo odczytKonf('adres') . (($szkic) ? '?podgladSzkicu=' . str_rot13(ID2) : '?id=' . ID2) ?>"><?php echo ( !empty($odczytStrony['tytul']) ) ? tekst($odczytStrony['tytul']) : '%BŁĄD%' ?></a></b>
	&mdash; <a title="Przejdź do edycji zawartości tej strony." href="?id=edycjaStrony&b=<?php echo ID2, (($szkic) ? '&szkic' : '' )?>">ustawienia</a>
	<?php echo ($szkic) ? '(szkic)' : '' ?>
</h2>

<form method="post">

<?php
if ( $odczytTypu['informacje']['ustawienia'] ) {

	// kod typów zawartości stron, etap pierwszy =======================
	$wtEtapPaneluAdmin = 1;
	include( (($odczytTypu['wlasny']) ? DANE : SYSTEM) . '/typy/' . $odczytStrony['typ'] . '/ustawienia.php' );

}
?>

<h3>Ustawienia ogólne</h3>

<table>
	<tr> <td>Tytuł strony:</td> <td><input type="text" name="tytul" value="<?php echo $odczytStrony['tytul'] ?>" required /></td> </tr>
	<tr> <td>Tytuł strony w menu:</td> <td><input type="text" name="tytulMenu" value="<?php echo ( $odczytStrony['tytulMenu'] != $odczytStrony['tytul'] ) ? $odczytStrony['tytulMenu'] : '' ?>" placeholder="(domyślny tytuł)" /></td> </tr>
	<tr> <td>Tytuł strony w przeglądarce:</td> <td><input type="text" name="tytulTitle" value="<?php echo ( $odczytStrony['tytulTitle'] != $odczytStrony['tytul'] ) ? $odczytStrony['tytulTitle'] : '' ?>" placeholder="(domyślny tytuł)" /></td> </tr>
	<tr> <td>Identyfikator strony:</td> <td><input type="text" name="identyfikator" value="<?php echo ID2 ?>" /></td> </tr>
</table>

<h3>Informacje dla wyszukiwarek</h3>

<table>
	<tr> <td>Opis strony:</td> <td><textarea name="wyszukiwarkiOpis"><?php echo $odczytStrony['wyszukiwarkiOpis'] ?></textarea></td> </tr>
	<tr> <td>Słowa kluczowe strony:</td> <td><input type="text" name="wyszukiwarkiSlowaKluczowe" value="<?php echo $odczytStrony['wyszukiwarkiSlowaKluczowe'] ?>" /></td> </tr>
</table>

<p class="przyciskWysylania"><input <?php wylaczElement($odczytTypu,false) ?> type="submit" value="Zapisz ustawienia strony" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');