<?php
// WizyTówka 4
if (!defined('WT')) exit();


$typyElementow = array( 'input' => 'Pole tekstowe', 'textarea' => 'Pole wieloliniowe', 'select' => 'Pole wyboru', 'obszarTekstowy' => 'Obszar tekstowy' );


switch($wtEtapPaneluAdmin) {

// ETAP TRZECI panelu administracyjnego ==================================================
	case 3:

		if ( isset($_GET['usun']) and isset($wtZawartoscStrony[ $_GET['usun'] ]) ) {

			// usunięcie elementu z tablicy elementów
			unset( $wtZawartoscStrony[ $_GET['usun'] ] );

			// wymuszenie nadpisania pliku zawartości strony po załadowaniu ETAPU PIERWSZEGO panelu administracyjnego
			$wtWymuszenieZapisu = true;

			$wtKomunikat = 'dob.Element został usunięty z formularza kontaktowego.' ;

		}

		if ( isset($_GET['dodano']) )
			$wtKomunikat = 'dob.Element został dodany do formularza kontaktowego.';

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP DRUGI panelu administracyjnego ===================================================
	case 2:

		if ( isset($_GET['dodaj']) ) {

			// działania specyficzne dla poszczególnych rodzajów pól, dane domyślne

			if ( $_POST['typElementu'] == 'obszarTekstowy' )
				$_POST['tresc'] = '(obszar tekstowy)';

			else {

				$_POST['etykieta'] = ( empty($_POST['etykieta']) ) ? 'Pole bez etykiety' : htmlspecialchars($_POST['etykieta']);

				if ( $_POST['typElementu'] == 'select' )
					$_POST['opcje'] = array( 'Opcja pierwsza', 'Opcja druga', 'Opcja trzecia' );
				elseif ( $_POST['typElementu'] == 'input' )
					$_POST['typDanych'] = 'text';

				$_POST['wymagany'] = false;

			}

			// określenie numeru w kolejności
			if ( empty($wtZawartoscStrony) )
				$_POST['numerWKolejnosci'] =  1;
			else {
				foreach( $wtZawartoscStrony as $element )
					$wszystkieNumeryWKolejnosci[] = $element['numerWKolejnosci'];
				$_POST['numerWKolejnosci'] =  max($wszystkieNumeryWKolejnosci) + 1;
				// nowy element otrzyma następny w kolejności 'Numer w kolejności', by wylądować na końcu
			}

			// dodanie elementu do tablicy zawartości strony
			$wtZawartoscStrony[] = $_POST;

			przekierowanie( $wtOdnosnik . 'dodano' );

		}

		if ( isset($_GET['edycja']) and isset($wtZawartoscStrony[$_GET['edycja']]) ) {

			// zabezpieczenie numeru w kolejności
			if ( !is_numeric($_POST['numerWKolejnosci']) ) {
				foreach( $wtZawartoscStrony as $element )
					$wszystkieNumeryWKolejnosci[] = $element['numerWKolejnosci'];
				$_POST['numerWKolejnosci'] =  max($wszystkieNumeryWKolejnosci) + 1;
				// element otrzyma następny w kolejności 'numer w kolejności', by wylądować na końcu
			}

			// działania specyficzne dla pól wyboru i obszarów tekstowych

			if ( $wtZawartoscStrony[$_GET['edycja']]['typElementu'] == 'obszarTekstowy' and empty($_POST['tresc']) )
				$_POST['tresc'] = '(obszar tekstowy)';

			else {

				$_POST['etykieta'] = ( empty($_POST['etykieta']) ) ? 'Pole bez etykiety' : htmlspecialchars($_POST['etykieta']);
				$_POST['wymagany'] = ( isset($_POST['wymagany']) ) ? true : false;  // hack na checkbox

				if ( $wtZawartoscStrony[$_GET['edycja']]['typElementu'] == 'select' ) {

					// zabezpieczenie przed pustym polem <select>
					$opcjeRozdzielone = ( trim($_POST['opcje']) == '' ) ?  array( 'Opcja pierwsza', 'Opcja druga', 'Opcja trzecia' ) : explode( "\n", trim($_POST['opcje']) );

					// zabezpieczenie przed pustą opcją <option>
					foreach ( $opcjeRozdzielone as $klucz => $pojedynczaOpcja ) {
						$opcjeRozdzielone[$klucz] = trim($pojedynczaOpcja);
						if ( empty($opcjeRozdzielone[$klucz]) )
							unset($opcjeRozdzielone[$klucz]);
					}

					$_POST['opcje'] = $opcjeRozdzielone;

				}

			}

			// zapis elementu w tablicy zawartości strony
			$wtZawartoscStrony[ $_GET['edycja'] ] = array_replace( $wtZawartoscStrony[$_GET['edycja']], $_POST );

		}

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP PIERWSZY panelu administracyjnego ================================================
	case 1:

		//  === dodawanie pojedynczego elementu =========

		if ( isset($_GET['dodaj']) ) {

			$wtPrzycisk       = 'Dodaj element';
			$wtPotwierdzenie  = true;
?>

<h3>Dodawanie elementu do formularza</h3>

<table>
	<tr> <td>Typ elementu:</td> <td><select id="poleWyboruTypuElementu" name="typElementu"><?php generujListeWyboru($typyElementow) ?></select></td> </tr>
	<tr id="wieszEtykiety"> <td>Etykieta:</td> <td><input type="text" name="etykieta" /></td> </tr>
</table>

<script>
	document.getElementById('poleWyboruTypuElementu').onchange = function() {
		if ( document.getElementById('poleWyboruTypuElementu').value == 'obszarTekstowy' )
			document.getElementById('wieszEtykiety').style.display = 'none';
		else
			document.getElementById('wieszEtykiety').style.display = 'table-row';
	}
</script>

<?php
			// ^^^ obszary tekstowe nie mają etykiety; etykietą jest początkowy fragment obszaru tekstowego
		}

		//  === edycja pojedynczego elementu ============

		elseif ( isset($_GET['edycja']) and isset($wtZawartoscStrony[ $_GET['edycja'] ]) ) {

			$element = $wtZawartoscStrony[$_GET['edycja']];

			$wtPrzycisk       = 'Zapisz element';
			$wtPotwierdzenie  = true;
?>

<h3>Edycja elementu</h3>

<?php
			if ( $element['typElementu'] == 'obszarTekstowy' ) {

				$wtEdytorWizualny = true;
				$wtPotwierdzenie  = true;
?>

<table>
	<tr> <td><textarea name="tresc" class="polePowiekszone" id="edytorWizualny"><?php echo htmlspecialchars($element['tresc']) ?></textarea></td> </tr>
</table>

<?php
			}

			else {
?>

<table>
	<tr> <td>Typ elementu:</td> <td><?php echo $typyElementow[ $element['typElementu'] ] ?></td> </tr>
	<tr> <td>Etykieta:</td> <td><input type="text" name="etykieta" value="<?php echo $element['etykieta'] ?>" required /></td> </tr>
	<?php if ( $element['typElementu'] != 'select' ) { ?><tr> <td colspan="2"><input type="checkbox" name="wymagany" value="1" <?php zaznaczCheckbox($element['wymagany']) ?> id="op11" /><label for="op11">Pole wymagane (bez jego wypełnienia nie można wysłać formularza)</label></td> </tr><?php } ?>
</table>

<?php
				if ( $element['typElementu'] == 'select' ) {
?>

<table>
	<tr> <td>Opcje pola wyboru:</td> <td><textarea name="opcje"><?php echo implode( "\n", $element['opcje'] ) ?></textarea></td> </tr>
</table>

<p class="informacja">Wprowadź każdą opcję pola wyboru w osobnej linii.</p>

<?php
				}
				elseif ( $element['typElementu'] == 'input' ) {
					$typyDanych = array( 'text' => 'Zwykły tekst', 'email' => 'Adres poczty e-mail', 'url' => 'Adres strony internetowej', 'number' => 'Liczba lub numer', 'datetime-local' => 'Data i godzina', 'date' => 'Data', 'time' => 'Godzina', 'color' => 'Kolor' );
?>

<table>
	<tr> <td>Typ wprowadzanych danych:</td> <td><select name="typDanych"><?php generujListeWyboru($typyDanych,$element['typDanych']) ?></select></td> </tr>
</table>

<p class="uwaga">Prawidłowe wyświetlenie danego rodzaju pola tekstowego zależy wyłącznie od możliwości i zgodności ze standardami używanej przeglądarki.</p>

<?php
				}
			}
?>

<table>
	<tr> <td>Numer w kolejności:</td> <td><input type="number" name="numerWKolejnosci" value="<?php echo $element['numerWKolejnosci'] ?>" required /></td> </tr>
</table>

<?php if ( $element['typElementu'] == 'input' or $element['typElementu'] == 'textarea' ) { ?><input type="hidden" name="checkboksy" value="<?php echo $_GET['edycja'] ?>[wymagany]" /><?php } ?>

<?php
		}

		//  === lista wszystkich elementów ==============

		else {

			$wtPrzycisk = -1;
?>

<h3>Elementy dodane do formularza</h3>

<ul class="listaKafelkowa">
<?php
			if ( !empty($wtZawartoscStrony) ) {

				$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'numerWKolejnosci' );

				foreach ( $wtZawartoscStrony as $numer => $element ) {
					$nazwa = ($element['typElementu'] == 'obszarTekstowy') ? fragment( strip_tags($element['tresc']), 50 ) : $element['etykieta'];
?>
	<li>
		<span><a title="<?php echo tekst($nazwa) ?>" href="<?php echo $wtOdnosnik ?>edycja=<?php echo $numer ?>"><?php echo tekst($nazwa) ?></a></span>
		<span class="opis"><?php echo $typyElementow[ $element['typElementu'] ] ?></span> |
		<a href="<?php echo $wtOdnosnik ?>edycja=<?php echo $numer ?>">Edytuj</a> |
		<a href="<?php echo $wtOdnosnik ?>usun=<?php echo $numer ?>" onclick="return confirm('Czy na pewno chcesz usunąć ten element?');">Usuń</a>
	</li>
<?php
				}

			}
?>
	<li class="dodaj">
		<span><a href="<?php echo $wtOdnosnik ?>dodaj">Dodaj element</a></span>
	</li>
</ul>
<?php
		}

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

}