<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'numerWKolejnosci' );

	$tresc = 'Formularz kontaktowy — ' . wtOdnosnik();

	foreach ( $wtZawartoscStrony as $klucz => $element ) {

		if ( !empty($element['wymagany']) and
			(!isset($_POST['formularz'][$klucz]) or $_POST['formularz'][$klucz] == '') ) {
			$nieWypelnionoWymaganychPol = true;
			break;
		}

		elseif ( !isset($_POST['formularz'][$klucz]) or $_POST['formularz'][$klucz] == '' )
			continue;
			// jeżeli pole jest puste, nie znajdzie się ono w ogóle w wysyłanej wiadomości

		elseif ( $wtUstawieniaStrony['pierwszePoleToTemat'] and !isset($temat) and
				($element['typElementu'] == 'input' or $element['typElementu'] == 'select') )
			$temat = tekst( $_POST['formularz'][$klucz], null, true );

		$element['etykieta'] = tekst( $element['etykieta'], false, true );
		$iloscKresek = (58-mb_strlen($element['etykieta']) < 0) ? 10 : 58-mb_strlen($element['etykieta']);
		// ilość znaków "-" dodanych do etykiety pola, dzięki której wszystkie etykiety będą jednolicie wyróżnione w wysłanej wiadomości (przy kroju o stałej szerokości znaków)

		$tresc .= "\n\n" . $element['etykieta'] . ' ' . str_repeat( '-', $iloscKresek );
		$tresc .= "\n\n" . tekst( $_POST['formularz'][$klucz], null, true );

		$wypelnionoChociazJednoPole = true;

	}

	if ( !isset($temat) or $temat == '' )
		$temat = 'Formularz kontaktowy';
	else
		$temat = tekst( fragment( usunZnakNowejLinii($temat), 30 ), null, true );

	if ( !isset($nieWypelnionoWymaganychPol) )
		$nieWypelnionoWymaganychPol = false;
	if ( !isset($wypelnionoChociazJednoPole) )
		$wypelnionoChociazJednoPole = false;

	pamiecPodreczna( array(
		'temat' => $temat,
		'tresc' => $tresc,
		'nieWypelnionoWymaganychPol' => $nieWypelnionoWymaganychPol,
		'wypelnionoChociazJednoPole' => $wypelnionoChociazJednoPole
	), 'formularzKontaktowy' );

}

elseif ( $wtUstawieniaStrony['zabezpieczeniePrzedSpamem'] )
	setcookie( 'WT_formularz', time()+10, time()+1800 );

	// Gdy zabezpieczenie przed spamem jest włączone, e-mail nie zostanie wysłany,
	// jeśli wypełniano go krócej niż 10 sekund (skrypt porówna time() obecny i z ciasteczka).
	// Spamboty zazwyczaj się śpieszą, będą więc wypełniać formularz krócej niż 10 sekund.
	// Zabezpieczenie wymagana obsługi ciasteczek u przeglądającego.
