<?php
// WizyTówka 4
if (!defined('WT')) exit();


switch($wtEtapPaneluAdmin) {

// ETAP TRZECI panelu administracyjnego ==================================================
	case 3:

		if ( isset($_GET['usun']) and isset($wtZawartoscStrony[ $_GET['usun'] ]) ) {

			// usunięcie elementu z tablicy elementów
			unset( $wtZawartoscStrony[ $_GET['usun'] ] );

			// wymuszenie nadpisania pliku zawartości strony po załadowaniu ETAPU PIERWSZEGO panelu administracyjnego
			$wtWymuszenieZapisu = true;

			$wtKomunikat = 'dob.Wpis został usunięty z minibloga.' ;

		}

		if ( isset($_GET['dodano']) )
			$wtKomunikat = 'dob.Wpis został dodany do minibloga.';

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP DRUGI panelu administracyjnego ===================================================
	case 2:

		if ( isset($_GET['dodaj']) ) {

			// 10 znaków to minimalna długość wpisu, zapobiega to dodaniu pustego wpisu
			if ( isset($_POST['tresc'][10]) ) {

				// sprawdzenie prawidłowości daty publikacji wpisu (gdy wybór daty wpisu włączony)
				if ( isset($_POST['data']) and checkdate( $_POST['data']['miesiac'], $_POST['data']['dzien'], $_POST['data']['rok'] ) )
					$_POST['data'] = mktime( $_POST['data']['godzina'], $_POST['data']['minuta'], 0, $_POST['data']['miesiac'], $_POST['data']['dzien'], $_POST['data']['rok'] );
				else
					$_POST['data'] = time();

				// jeżeli wpis zaczyna się od <h3>, zawartość <h3> traktujemy jako tytuł; w innym wypadku - używamy początkowego fragmentu wpisu
				if ( substr( $_POST['tresc'], 0, 4 ) == ((odczytKonf('jezykMarkdown')) ? '### ' : '<h3>') )
					$_POST['tytul'] = usunZnakNowejLinii( strip_tags( mb_substr( $_POST['tresc'], 0, mb_strpos( $_POST['tresc'], ((odczytKonf('jezykMarkdown')) ? "\n" : '</h3>') )+5 ) ) );
				else
					$_POST['tytul'] = usunZnakNowejLinii( fragment( strip_tags($_POST['tresc']), 10, true ) );

				// dodanie elementu do tablicy zawartości strony
				$wtZawartoscStrony[] = $_POST;

				przekierowanie( $wtOdnosnik . 'dodano' );

			}
			else
				$wtKomunikat = 'zle.Wpis jest zbyt krótki.';

		}

		if ( isset($_GET['edycja']) and isset($wtZawartoscStrony[$_GET['edycja']]) ) {

			// sprawdzenie prawidłowości daty publikacji wpisu (gdy wybór daty wpisu włączony)
			if ( isset($_POST['data']) and
				$sprawdzenie = checkdate( $_POST['data']['miesiac'], $_POST['data']['dzien'], $_POST['data']['rok'] ) ) {
				$_POST['data'] = mktime( $_POST['data']['godzina'], $_POST['data']['minuta'], 0, $_POST['data']['miesiac'], $_POST['data']['dzien'], $_POST['data']['rok'] );
				if ( $_POST['data'] > time() )
					$wtKomunikat = 'dob.Wpis zostanie opublikowany we wskazanym dniu i godzinie automatycznie.';
			}
			else {
				$_POST['data'] = $wtZawartoscStrony[ $_GET['edycja'] ]['data'];
				if ( isset($sprawdzenie) and !$sprawdzenie )
					$wtKomunikat = ($_POST['data']['miesiac']==2 and $_POST['data']['dzien']==29) ? 'zle.Czy naprawdę chcesz opublikować wpis 29 lutego? ;-)' : 'zle.Podana data publikacji wpisu jest niepoprawna.';
			}

			// jeżeli wpis zaczyna się od <h3>, zawartość <h3> traktujemy jako tytuł; w innym wypadku - używamy początkowego fragmentu wpisu
			if ( substr( $_POST['tresc'], 0, 4 ) == ((odczytKonf('jezykMarkdown')) ? '### ' : '<h3>') )
				$_POST['tytul'] = usunZnakNowejLinii( strip_tags( mb_substr( $_POST['tresc'], 0, (odczytKonf('jezykMarkdown') ? mb_strpos($_POST['tresc'],"\n") : mb_strpos($_POST['tresc'],'</h3>')+5 ) ) ) );
			else
				$_POST['tytul'] = usunZnakNowejLinii( fragment( strip_tags($_POST['tresc']), 10, true ) );

			// zapis elementu w tablicy zawartości strony
			$wtZawartoscStrony[ $_GET['edycja'] ] = array_replace( $wtZawartoscStrony[$_GET['edycja']], $_POST );

		}

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP PIERWSZY panelu administracyjnego ================================================
	case 1:

		//  === dodawanie pojedynczego elementu =========

		if ( isset($_GET['dodaj']) ) {

			$wtPrzycisk       = 'Dodaj wpis';
			$wtEdytorWizualny = true;
			$wtPotwierdzenie  = true;
?>

<h3>Dodawanie wpisu do minibloga</h3>

<style scoped>
	input[type="number"] { width: 14%; text-align: center; }
	span.sepek { display: inline-block; text-align: center; width: 10px; }
	td + td { width: 75%; text-align: right; }
</style>

<table>
	<tr> <td><textarea name="tresc" class="polePowiekszone" id="edytorWizualny"></textarea></td> </tr>
</table>

<?php
			if ( $wtUstawieniaStrony['wyborDatyWpisu'] ) {
				$dataAktualna = getdate();
?>
<table>
	<tr> <td>Data publikacji:</td>
		<td>
			<input type="number" name="data[rok]" value="<?php echo $dataAktualna['year'] ?>" min="2000" /> <span class="sepek">&ndash;</span>
			<input type="number" name="data[miesiac]" value="<?php echo $dataAktualna['mon'] ?>" min="1" max="12" /> <span class="sepek">&ndash;</span>
			<input type="number" name="data[dzien]" value="<?php echo $dataAktualna['mday'] ?>" min="1" max="31" /> <span class="sepek"> </span>
			<input type="number" name="data[godzina]" value="<?php echo $dataAktualna['hours'] ?>" min="0" max="23" /> <span class="sepek">:</span>
			<input type="number" name="data[minuta]" value="<?php echo $dataAktualna['minutes'] ?>" min="0" max="59" />
		</td>
	</tr>
</table>
<?php
			}
?>

<?php
		}

		//  === edycja pojedynczego elementu ============

		elseif ( isset($_GET['edycja']) and isset($wtZawartoscStrony[ $_GET['edycja'] ]) ) {

			$element = $wtZawartoscStrony[$_GET['edycja']];

			$wtPrzycisk       = 'Zapisz wpis';
			$wtEdytorWizualny = true;
			$wtPotwierdzenie  = true;
?>

<h3>Edycja wpisu</h3>

<style scoped>
	input[type="number"] { width: 14%; text-align: center; }
	span.sepek { display: inline-block; text-align: center; width: 10px; }
	td + td { width: 75%; text-align: right; }
</style>

<table>
	<tr> <td><textarea name="tresc" class="polePowiekszone" id="edytorWizualny"><?php echo htmlspecialchars($element['tresc']) ?></textarea></td> </tr>
</table>

<table>
	<tr> <td>Data publikacji:</td>
		<td>
<?php
			if ( $wtUstawieniaStrony['wyborDatyWpisu'] ) {
				$dataWpisu = getdate( $wtZawartoscStrony[$_GET['edycja']]['data'] );
?>
			<input type="number" name="data[rok]" value="<?php echo $dataWpisu['year'] ?>" min="2000" /> <span class="sepek">&ndash;</span>
			<input type="number" name="data[miesiac]" value="<?php echo $dataWpisu['mon'] ?>" min="1" max="12" /> <span class="sepek">&ndash;</span>
			<input type="number" name="data[dzien]" value="<?php echo $dataWpisu['mday'] ?>" min="1" max="31" /> <span class="sepek"> </span>
			<input type="number" name="data[godzina]" value="<?php echo $dataWpisu['hours'] ?>" min="0" max="23" /> <span class="sepek">:</span>
			<input type="number" name="data[minuta]" value="<?php echo $dataWpisu['minutes'] ?>" min="0" max="59" />
<?php
			}
			else
				echo pokazDate( $wtZawartoscStrony[$_GET['edycja']]['data'] );
?>
		</td>
	</tr>
</table>

<?php
		}

		//  === lista wszystkich elementów ==============

		else {

			$wtPrzycisk = -1;
?>

<h3>Wpisy dodane do minibloga</h3>

<ul class="listaKafelkowa">
<?php
			if ( !empty($wtZawartoscStrony) ) {

				$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'data', !$wtUstawieniaStrony['odNajstarszych'] );

				foreach ( $wtZawartoscStrony as $numer => $element ) {
?>
	<li>
		<span><a title="<?php echo tekst($element['tytul']) ?>" href="<?php echo $wtOdnosnik ?>edycja=<?php echo $numer ?>"><?php echo tekst($element['tytul']) ?></a></span>
		<span class="opis" title="<?php echo pokazDate($element['data']) ?>"><?php echo fragment( pokazDate($element['data']), 16 ) ?></span> |
		<a href="<?php echo $wtOdnosnik ?>edycja=<?php echo $numer ?>">Edytuj</a> |
		<a href="<?php echo $wtOdnosnik ?>usun=<?php echo $numer ?>" onclick="return confirm('Czy na pewno chcesz usunąć ten wpis?');">Usuń</a>
	</li>
<?php
				}

			}
?>
	<li class="dodaj">
		<span><a href="<?php echo $wtOdnosnik ?>dodaj">Dodaj wpis</a></span>
	</li>
</ul>
<?php
		}

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

}