<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( empty($wtZawartoscStrony) ) {
?>
<p class="wtKomunikat">Do tego minibloga nie dodano jeszcze żadnego wpisu.</p>
<?php
}

else {

	$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'data', !$wtUstawieniaStrony['odNajstarszych'] );

	if ( $wtUstawieniaStrony['ograniczenieWpisow'] > 0 and (!defined('ID2') or ID2 != 'w') )
		$licznik = 0;
		/*  w = pokaż wszystkie wpisy; wtedy zawsze wyświetlamy wszystkie wpisy  */

	// obejście, dzięki któremu zostanie wyświetlony tylko jeden wpis zamiast wszystkich
	if ( defined('ID2') and isset($wtZawartoscStrony[ID2]) and $wtZawartoscStrony[ID2]['data'] < time() ) {
		$wtZawartoscStrony = array( ID2 => $wtZawartoscStrony[ID2] );
		$niePrzycinajWpisu = true;
	}

	// zapobieżenie przełamaniu odnośnika do całości wpisu
	if ( $wtUstawieniaStrony['przycinajDoAkapitu'] )
		$wtUstawieniaStrony['odnosnikCzytajWiecej'] = str_replace( ' ', '&nbsp;', $wtUstawieniaStrony['odnosnikCzytajWiecej'] );


	foreach ( $wtZawartoscStrony as $klucz => $element ) {

		// wpisy z datą określoną w przyszłości pomijamy
		if ( $element['data'] > time() )
			continue;

		// ograniczenie liczby wpisów
		if ( isset($licznik) and $licznik++ == $wtUstawieniaStrony['ograniczenieWpisow'] ) {
			$odnosnikDoWszystkichWpisow = true;
			break;
		}
?>
<article class="wtMiniblog">

<?php
		$element['tresc'] = tekst( $element['tresc'], true );

		if ( $wtUstawieniaStrony['przycinajDoAkapitu'] and !isset($niePrzycinajWpisu) ) {

			$koniecAkapitu = mb_strpos( $element['tresc'], '</p>' );

			if ( $koniecAkapitu !== false and isset( $element['tresc'][ $koniecAkapitu+10 ] ) )
				echo mb_substr( $element['tresc'], 0, $koniecAkapitu ), "\n", ' <a class="wtMiniblog_czytajWiecej" href="', wtOdnosnik( null, $klucz ), '">', $wtUstawieniaStrony['odnosnikCzytajWiecej'], '</a></p>';

			else
				echo $element['tresc'];

		}

		else
			echo $element['tresc'];
?>

<footer>
<p class="wtMiniblog_data"><time datetime="<?php echo pokazDate( $element['data'], '%Y-%m-%d %H:%M' ) ?>"><?php echo pokazDate($element['data']) ?></time></p>
</footer>

</article>

<?php

	}

	if ( isset($odnosnikDoWszystkichWpisow) )
		echo '<p class="wtMiniblog_wszystkieWpisy"><a href="', wtOdnosnik( null, 'w' ), '">', $wtUstawieniaStrony['odnosnikWszystkieWpisy'], '</a></p>', "\n";
		/*  w = pokaż wszystkie wpisy  */

}