<?php
// WizyTówka 4
if (!defined('WT')) exit();


$egzystencjaPlikuDziennika = file_exists( DANE . '/wtk/bledy.log' );

if ( isset($_POST['wyczysc']) and !odczytKonf('wysokieZabezpieczenie') ) {

	if ( $egzystencjaPlikuDziennika )
		unlink( DANE . '/wtk/bledy.log' );

	$egzystencjaPlikuDziennika = false;
	komunikat('dob.Dziennik błędów został wyczyszczony.');

}

elseif ( !$egzystencjaPlikuDziennika )
	komunikat('xxx.Dziennik błędów jest pusty.');

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Dziennik błędów</h2>

<?php
if ( $egzystencjaPlikuDziennika ) {
?>

<style scoped>
	@import url(http://fonts.googleapis.com/css?family=Source+Code+Pro&subset=latin-ext);
</style>

<pre><?php echo htmlspecialchars( trim( file_get_contents( DANE . '/wtk/bledy.log' ) ) ) ?></pre>

<?php
}

else
{
?>

<p class="informacja">Dziennik błędów służy do gromadzenia informacji o wszelkich błędach występujących podczas korzystania z systemu WizyTówka. Są one przydatne przy wyjaśnianiu i naprawie potencjalnych usterek. Jeżeli system WizyTówka działa nieprawidłowo, dziennik błędów jest pierwszym miejscem, do którego należy zajrzeć w celu znalezienia rozwiązania problemu.</p>

<?php if ( odczytKonf('bledyKrytyczne') ) { ?>
<p class="uwaga">Obecnie włączone jest wyświetlanie błędów krytycznych. Oznacza to, że w razie wystąpienia jakiegokolwiek błędu system WizyTówka przerwie działanie i wyświetli komunikat. Równocześnie każdy błąd nadal będzie zapisywany w dzienniku błędów.</p>
<?php }?>

<?php
}
?>

<form method="post">
<input type="hidden" name="wyczysc" value="1" />
<p class="przyciskWysylania"><input <?php wylaczElement( $egzystencjaPlikuDziennika, false ) ?> <?php wylaczElement( odczytKonf('wysokieZabezpieczenie'), true ) ?> type="submit" value="Wyczyść dziennik błędów" onclick="return confirm('Czy wyczyścić dziennik?');" /></p>
</form>

<?php
include (SYSTEM.'/admin/stopka.php');