<?php
// WizyTówka 4
if (!defined('WT')) exit();


switch($wtEtapPaneluAdmin) {

// ETAP DRUGI panelu administracyjnego ===================================================
	case 2:

		if ( $_POST['sortowanie'] == 'losowo' )
			$_POST['sortowanieOdwrotnie'] = '0';

		if ( isset($_POST['miniatury']) ) {
			if ( $_POST['miniatury']['kolumny'] < 1 or $_POST['miniatury']['kolumny'] > 9 )
				$_POST['miniatury']['kolumny'] = $wtUstawieniaStrony['miniatury']['kolumny'];
			if ( $_POST['miniatury']['wysokoscMiniatury'] < 25 )
				$_POST['miniatury']['wysokoscMiniatury'] = $wtUstawieniaStrony['miniatury']['wysokoscMiniatury'];
		}
		else
			$_POST['miniatury'] = $wtUstawieniaStrony['miniatury'];

		if ( isset($_POST['galleria']) ) {
			if ( !isset($_POST['galleria']['pokazSlajdowCzas']) or $_POST['galleria']['pokazSlajdowCzas'] < 1 )
				$_POST['galleria']['pokazSlajdowCzas'] = $wtUstawieniaStrony['galleria']['pokazSlajdowCzas'];
			if ( $_POST['galleria']['wysokosc'] < 200 )
				$_POST['galleria']['wysokosc'] = $wtUstawieniaStrony['galleria']['wysokosc'];
		}
		else
			$_POST['galleria'] = $wtUstawieniaStrony['galleria'];

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP PIERWSZY panelu administracyjnego ================================================
	case 1:

		$gall = ($wtUstawieniaStrony['wyswietlanie'] == 'galleria') ? true : false;
			// a wymyśliłem sobie enigmantyczną nazwę; zmienna decydująca o uaktywnieniu pól

		$listaSortowania   = array( 'numerWKolejnosci' => 'Numer w kolejności', 'tytul' => 'Tytuł', 'dataDodania' => 'Data dodania', 'losowo' => 'Losowo' );
		$listaWyswietlania = array( 'miniatury' => 'Miniatury z efektem &bdquo;lightbox&rdquo;', 'galleria' => 'Dynamiczny skrypt Galleria' );
		$listaAnimacji     = array( 'fade' => 'Przenikanie', 'flash' => 'Płynne wyjście i wejście', 'pulse' => 'Ucieczka i płynne wejście', 'slide' => 'Przesuwanie', 'fadeslide' => 'Przesuwanie z przenikaniem' );
		$listaOpisu        = array( 'zawsze' => 'Pokazuj tytuł i opis zawsze', 'przelacznik' => 'Udostępniaj przełącznik (ikona &bdquo;i&rdquo;)','nigdy' => 'Nie pokazuj tytułu i opisu'  );
		$listaPrzycinania  = array( '.' => 'Nie przycinaj zdjęć', 'true' => 'Dopasuj do rozmiaru obszaru galerii', 'height' => 'Dopasuj do wysokości obszaru galerii', 'width' => 'Dopasuj do szerokości obszaru galerii', 'landscape' => 'Przytnij szerokie zdjęcia (krajobrazy)', 'portrait' => 'Przytnij wysokie zdjęcia (portrety)' );
?>

<h3>Ustawienia galerii zdjęć</h3>

<table>
	<tr> <td>Sposób wyświetlania galerii zdjęć:</td> <td><select name="wyswietlanie"><?php generujListeWyboru( $listaWyswietlania, $wtUstawieniaStrony['wyswietlanie'] ) ?></select></td> </tr>
	<tr> <td>Sortowanie:</td> <td><select name="sortowanie"><?php generujListeWyboru( $listaSortowania, $wtUstawieniaStrony['sortowanie'] ) ?></select></td> </tr>
	<tr>
		<td><input type="checkbox" name="licznik" value="1" <?php zaznaczCheckbox($wtUstawieniaStrony['licznik']) ?> id="op11" /><label for="op11">Pokaż liczbę wszystkich zdjęć</label></td>
		<td><input type="checkbox" name="sortowanieOdwrotnie" value="1" <?php zaznaczCheckbox($wtUstawieniaStrony['sortowanieOdwrotnie']) ?> <?php wylaczElement( $wtUstawieniaStrony['sortowanie'], 'losowo' ) ?> id="op12" /><label for="op12">Odwróć kolejność sortowania</label></td>
	</tr>
</table>

<table>
	<tr> <td>Liczba kolumn miniatur:</td> <td><input type="number" name="miniatury[kolumny]" value="<?php echo $wtUstawieniaStrony['miniatury']['kolumny'] ?>" min="1" max="10" <?php wylaczElement($gall,true) ?> /></td> </tr>
	<tr> <td>Wysokość obszaru miniatury (w pikselach):</td> <td><input type="number" name="miniatury[wysokoscMiniatury]" value="<?php echo $wtUstawieniaStrony['miniatury']['wysokoscMiniatury'] ?>" min="25" max="500" <?php wylaczElement($gall,true) ?> /></td> </tr>
	<tr> <td>Animacja między zdjęciami:</td> <td><select name="galleria[animacja]" <?php wylaczElement($gall,false) ?>><?php generujListeWyboru( $listaAnimacji, $wtUstawieniaStrony['galleria']['animacja'] ) ?></select></td> </tr>
	<tr> <td>Wyświetlanie tytułu i opisu zdjęć:</td> <td><select name="galleria[opis]" <?php wylaczElement($gall,false) ?>><?php generujListeWyboru( $listaOpisu, $wtUstawieniaStrony['galleria']['opis'] ) ?></select></td> </tr>
	<tr> <td>Przycinanie zdjęć:</td> <td><select name="galleria[przycinanie]" <?php wylaczElement($gall,false) ?>><?php generujListeWyboru( $listaPrzycinania, $wtUstawieniaStrony['galleria']['przycinanie'] ) ?></select></td> </tr>
	<tr> <td>Wysokość obszaru galerii (w pikselach):</td> <td><input type="number" name="galleria[wysokosc]" value="<?php echo $wtUstawieniaStrony['galleria']['wysokosc'] ?>" min="200" max="1000" <?php wylaczElement($gall,false) ?> /></td> </tr>
	<?php if ( $wtUstawieniaStrony['galleria']['pokazSlajdow'] ) { ?>
	<tr> <td>Czas wyświetlania zdjęcia (w sekundach):</td> <td><input type="number" name="galleria[pokazSlajdowCzas]" value="<?php echo $wtUstawieniaStrony['galleria']['pokazSlajdowCzas'] ?>" min="0" <?php wylaczElement($gall,false) ?> /></td> </tr>
	<?php } ?>
	<tr>
		<td><input type="checkbox" name="galleria[pokazSlajdow]" value="1" <?php zaznaczCheckbox($wtUstawieniaStrony['galleria']['pokazSlajdow'])?> id="op21" <?php wylaczElement($gall,false) ?> /><label for="op21">Włącz pokaz slajdów</label></td>
		<td><input type="checkbox" name="galleria[pokazSlajdowInterakcja]" value="1" <?php zaznaczCheckbox($wtUstawieniaStrony['galleria']['pokazSlajdowInterakcja'])?> id="op22" <?php wylaczElement($gall,false) ?> /><label for="op22">Wstrzymaj pokaz przy interakcji użytkownika</label></td>
	</tr>
</table>

<input type="hidden" name="checkboksy" value="sortowanieOdwrotnie,licznik,galleria[pokazSlajdow],galleria[pokazSlajdowInterakcja]">

<?php
		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

}