<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $wtUstawieniaStrony['rssWlaczony'] and defined('ID2') and ID2 == 'rss' ) {

	$odczytStrony = pamiecPodreczna('odczytStrony');

	header('Content-Type: application/rss+xml; charset=UTF-8');

	echo '<?xml version="1.0" encoding="UTF-8"?>', "\n", '<rss version="2.0">', "\n", '	<channel>', "\n";

	echo '		<generator>WizyTówka - http://wizytowka.tomaszgasior.kao.pl</generator>', "\n";
	echo '		<language>pl-PL</language>', "\n";
	echo '		<link><![CDATA[', wtOdnosnik(), ']]></link>', "\n";
	echo '		<title><![CDATA[', tekst( zmienne( odczytKonf('ukladTytulu'), array( 'strona' => $odczytStrony['tytul'] ) ), null, true ), ']]></title>', "\n";
	echo '		<copyright><![CDATA[', tekst( odczytKonf('autor'), null, true ), ']]></copyright>', "\n";

	if ( !empty($wtZawartoscStrony) ) {

		$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'data', !$wtUstawieniaStrony['odNajstarszych'] );

		if ( $wtUstawieniaStrony['ograniczenieWpisow'] )
			$licznik = 0;

		foreach ( $wtZawartoscStrony as $klucz => $element ) {

			if ( isset($licznik) and $licznik++ == $wtUstawieniaStrony['rssOgraniczenieWpisow'] )
				break;

			if ( $element['data'] > time() )
				continue;

			echo '		<item>', "\n";

			echo '			<title><![CDATA[', tekst( $element['tytul'], null, true ), ']]></title>', "\n";
			echo '			<description><![CDATA[', tekst( fragment( strip_tags($element['tresc']), $wtUstawieniaStrony['rssOgraniczenieSlow'], true ), null, true ), ']]></description>', "\n";
			echo '			<link><![CDATA[', wtOdnosnik( null, $klucz ), ']]></link>', "\n";
			echo '			<pubDate>', date( 'r', $element['data'] ), '</pubDate>', "\n";

			echo '		</item>', "\n";

		}

	}

	echo '	</channel>', "\n", '</rss>';

	exit();

}